# mapVals | Welshman Docs
Documentation for Welshman Docs

# Function mapVals

Creates new object with transformed values

- mapVals< V , U >(f: (v: V ) => U , x: Record<string, V >): Record<string, U >

- #### Type Parameters

  - V
  - U

  #### Parameters

  - f: (v: V ) => U

    Function to transform values

  - x: Record<string, V >

    Source object

  #### Returns Record<string, U >

  Object with transformed values

  - Defined in packages/lib/src/Tools.ts:213